﻿using NIntegrate.Configuration;
using System.Configuration;

namespace NIntegrateQueryPerformanceComparison.NIntegrateQuery
{
    public class AppConfigConnectionStringProvider : IConnectionStringProvider
    {
        #region IConnectionStringProvider Members

        public ConnectionString GetConnectionString(string connectionStringName)
        {
            var connStr = ConfigurationManager.ConnectionStrings[connectionStringName];
            return new ConnectionString
                       {
                           ProviderName = connStr.ProviderName,
                           Value = connStr.ConnectionString
                        };
        }

        #endregion
    }
}
